summary refs log tree commit diff stats
path: root/osx/makebundle.sh
diff options
context:
space:
mode:
authorTingPing <tingping@fedoraproject.org>2014-01-13 09:28:06 -0500
committerTingPing <tingping@tingping.se>2014-01-14 22:38:44 -0500
commit8af9727937480d26ff39a7eeb96668073f846d9f (patch)
treec8ce4197f3d826cc535b3fad1e7838e0cdd55458 /osx/makebundle.sh
parent7b0acb2b4440e0254320ca4b18ed565fe73048cb (diff)
Add gtk-mac-bundler files
Diffstat (limited to 'osx/makebundle.sh')
-rwxr-xr-xosx/makebundle.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/osx/makebundle.sh b/osx/makebundle.sh
new file mode 100755
index 00000000..24130aa1
--- /dev/null
+++ b/osx/makebundle.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ -z "$JHBUILD_PREFIX" ]; then
+	echo "You must run this within a jhbuild shell."
+	exit 1
+fi
+
+if [ ! -f $JHBUILD_PREFIX/bin/python ]; then
+	echo "You must install python with jhbuild."
+	exit 1
+fi
+
+rm -rf HexChat.app
+
+$JHBUILD_PREFIX/bin/python $HOME/.local/bin/gtk-mac-bundler hexchat.bundle